using System.Collections.Generic;
using FGUI.ZM_EMail_20;
using FGUI.ZM_Novice_21;

namespace RedHotRoast
{
    public static class UIManagerRegister
    {
        public static void AutoRegisterBinder()
        {
            FGUI.ZM_Common_01.ZM_Common_01Binder.BindAll();
            FGUI.ZM_Img_02.ZM_Img_02Binder.BindAll();
            FGUI.ZM_Sign_06.ZM_Sign_06Binder.BindAll();
            FGUI.ZM_Setting_07.ZM_Setting_07Binder.BindAll();
            FGUI.ZM_Login_05.ZM_Login_05Binder.BindAll();
            FGUI.ZM_Lobby_03.ZM_Lobby_03Binder.BindAll();
            FGUI.ZM_GameResult_08.ZM_GameResult_08Binder.BindAll();
            FGUI.ZM_Game_04.ZM_Game_04Binder.BindAll();
            FGUI.ZM_Prop_09.ZM_Prop_09Binder.BindAll();
            FGUI.ZM_Reward_10.ZM_Reward_10Binder.BindAll();
            FGUI.ZM_Turntable_11.ZM_Turntable_11Binder.BindAll();
            FGUI.ZM_Tasks_13.ZM_Tasks_13Binder.BindAll();
            FGUI.ZM_AddCell_12.ZM_AddCell_12Binder.BindAll();
            FGUI.ZM_Pass_14.ZM_Pass_14Binder.BindAll();
            FGUI.ZM_Pack_16.ZM_Pack_16Binder.BindAll();
            FGUI.ZM_store_17.ZM_store_17Binder.BindAll();
            FGUI.ZM_Tab_19.ZM_Tab_19Binder.BindAll();
            ZM_EMail_20Binder.BindAll();
            ZM_Novice_21Binder.BindAll();
            FGUI.ZM_Coins_101.ZM_Coins_101Binder.BindAll();
            FGUI.ZM_Fx_502.ZM_Fx_502Binder.BindAll();
            FGUI.ZM_Toast_23.ZM_Toast_23Binder.BindAll();
            FGUI.ZM_Loading_25.ZM_Loading_25Binder.BindAll();
            FGUI.ZM_Privacy_24.ZM_Privacy_24Binder.BindAll();
            FGUI.ZM_NetIdle_22.ZM_NetIdle_22Binder.BindAll();
            FGUI.bkg_jilu.bkg_jiluBinder.BindAll();
            FGUI.threeDaysGift.threeDaysGiftBinder.BindAll();
            FGUI.bkg_reward_new.bkg_reward_newBinder.BindAll();
            FGUI.LG_LuckyGift.LG_LuckyGiftBinder.BindAll();

            FGUI.LG_AIchat.LG_AIchatBinder.BindAll();
            FGUI.LG_Common.LG_CommonBinder.BindAll();
            FGUI.LG_End.LG_EndBinder.BindAll();
            FGUI.LG_Vip.LG_VipBinder.BindAll();
            FGUI.LG_albums.LG_albumsBinder.BindAll();
            FGUI.LG_live.LG_liveBinder.BindAll();
            FGUI.LG_secretAlbums.LG_secretAlbumsBinder.BindAll();
            FGUI.LG_Unlock.LG_UnlockBinder.BindAll();
            FGUI.Egg_20.Egg_20Binder.BindAll();
        }

        public static void AutoRegisterCommonPackages()
        {
            List<string> commonPackages = new List<string>();

            commonPackages.Add("ZM_Common_01");
            commonPackages.Add("LG_Common");
            UIManager.Instance.RegisterCommonPackages(commonPackages);
        }
    }
}